
local hello = { ["hidden"] = true,
                ["aliases"] = { "hi" },
                ["cmd"] = function (args) return "Hello!" end
              }

mcbot_register_command("hello", hello)


local thanks = { ["hidden"] = true,
                 ["cmd"] = function (args) return "You're welcome" end
               }

mcbot_register_command("thanks", thanks)


local ping = {}
ping.aliases = { "ding" }
ping.cmd = function (args, botdata, cmd)
    if cmd:lower() == "ding" then return "dong" end
    return "pong"
end

mcbot_register_command("ping", ping)


local date = { ["desc"] = "Display the current date" }
function date.cmd (args)
    if args then
        return os.date(args)
    else
        return os.date()
    end
end

mcbot_register_command("date", date)


local help = { ["desc"] = "Display the available commands" }
function help.cmd (args)
    return "I can't help you, buddy"
end

mcbot_register_command("help", help)
